From 9279a0b50feaf243a94ed360fb4684da0faa13a7 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Thu, 12 Apr 2012 09:28:27 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/changelog                                   |   16 ++++++
 debian/compat                                      |    2 +-
 debian/config                                      |    4 +-
 debian/control                                     |    7 +--
 debian/copyright                                   |    8 +--
 debian/patches/00list                              |    5 --
 debian/patches/01_ldapv3please.dpatch              |   42 ---------------
 ...messwithetc.dpatch => 02_dontmesswithetc.patch} |   54 +++++++-------------
 debian/patches/03_strlenzero.dpatch                |   37 --------------
 .../patches/{04_lvalue.dpatch => 04_lvalue.patch}  |    8 +--
 ...5_allowbadpass.dpatch => 05_allowbadpass.patch} |    8 +--
 .../{06_manpage.dpatch => 06_manpage.patch}        |    8 +--
 ...reebsd-build.dpatch => 07_kfreebsd-build.patch} |   22 ++++----
 debian/patches/10_cpu.conf.patch                   |   14 +++++
 debian/patches/series                              |    6 +++
 debian/patches/unused/01_ldapv3please.patch        |   23 +++++++++
 debian/patches/unused/03_strlenzero.patch          |   18 +++++++
 debian/rules                                       |   25 ++++-----
 debian/source/format                               |    1 +
 doc/cpu.conf                                       |    2 +
 20 files changed, 137 insertions(+), 173 deletions(-)
 mode change 100644 => 100755 debian/config
 delete mode 100644 debian/patches/00list
 delete mode 100644 debian/patches/01_ldapv3please.dpatch
 rename debian/patches/{02_dontmesswithetc.dpatch => 02_dontmesswithetc.patch} (57%)
 delete mode 100644 debian/patches/03_strlenzero.dpatch
 rename debian/patches/{04_lvalue.dpatch => 04_lvalue.patch} (73%)
 rename debian/patches/{05_allowbadpass.dpatch => 05_allowbadpass.patch} (93%)
 rename debian/patches/{06_manpage.dpatch => 06_manpage.patch} (75%)
 rename debian/patches/{07_kfreebsd-build.dpatch => 07_kfreebsd-build.patch} (50%)
 create mode 100644 debian/patches/10_cpu.conf.patch
 create mode 100644 debian/patches/series
 create mode 100644 debian/patches/unused/01_ldapv3please.patch
 create mode 100644 debian/patches/unused/03_strlenzero.patch
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index e7cee1b..630750c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,19 @@
+cpu (1.4.3-11.3) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3,,debhelper to 9, add homepage field.
+  * Add build-arch and build-indep targets to rules file.
+  * Note: some patches were updated with "quilt refresh" to make
+    them apply cleanly.
+  * Fix maintainer-script-without-set-e (Lintian).
+  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
+  * Fix description-synopsis-starts-with-article (Lintian).
+  * Fix non-empty-dependency_libs-in-la-file (Lintian) by not installing *.la
+    <http://wiki.debian.org/ReleaseGoals/LAFileRemoval>.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Apr 2012 09:28:01 +0300
+
 cpu (1.4.3-11.2) unstable; urgency=low
 
   * Non-maintainer upload.
diff --git a/debian/compat b/debian/compat
index 7f8f011..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-7
+9
diff --git a/debian/config b/debian/config
old mode 100644
new mode 100755
index c0d0261..5827f15
--- a/debian/config
+++ b/debian/config
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 export DEBCONF_DEBUG=developer
 CONFIGFILE=/etc/cpu/cpu.conf
diff --git a/debian/control b/debian/control
index 7cbb5fd..4aada12 100644
--- a/debian/control
+++ b/debian/control
@@ -3,13 +3,14 @@ Section: admin
 Priority: optional
 Maintainer: Guido Trotter <ultrotter@debian.org>
 Uploaders: Paul J Stevens <paul@nfg.nl>
-Build-Depends: debhelper (>= 7), dpatch, libldap2-dev, libcrack2-dev (>= 2.8.12), autotools-dev
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 9), libldap2-dev, libcrack2-dev (>= 2.8.12), autotools-dev
+Standards-Version: 3.9.3
+Homepage: http://freecode.com/projects/cpu
 
 Package: cpu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28)
-Description: a console based LDAP user management tool
+Description: console based LDAP user management tool
  CPU is a suitable replacement for the useradd/usermod/userdel utilities for 
  administrators using an LDAP backend and wishing to have a suite of command 
  line tools for doing the administration.
diff --git a/debian/copyright b/debian/copyright
index 372657f..f5bedc0 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -5,7 +5,9 @@ It was downloaded from http://cpu.sourceforge.net/
 
 Upstream Author: Blake Matheny <bmatheny@purdue.edu>
 
-Copyright: 2003 Blake Matheny <bmatheny@purdue.edu> (and other contributing authors)
+Copyright:
+
+   Copyright (C) 2003 Blake Matheny <bmatheny@purdue.edu> (et al.)
 
 License:
 
@@ -27,6 +29,6 @@ On Debian systems, the complete text of the GNU General
 Public License can be found in `/usr/share/common-licenses/GPL-2'.
 
 
-The Debian packaging is (C) 2003-2007, Guido Trotter <ultrotter@debian.org> and
-is licensed under the GPL, see above.
+The Debian packaging is Copyright (C) 2003-2007, Guido Trotter
+<ultrotter@debian.org> and is licensed under the GPL, see above.
 
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 74a1ebd..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,5 +0,0 @@
-02_dontmesswithetc
-04_lvalue
-05_allowbadpass
-06_manpage
-07_kfreebsd-build.dpatch
diff --git a/debian/patches/01_ldapv3please.dpatch b/debian/patches/01_ldapv3please.dpatch
deleted file mode 100644
index 68d1c38..0000000
--- a/debian/patches/01_ldapv3please.dpatch
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/sh -e
-## 01_ldapv3please.dpatch by Guido Trotter <ultrotter@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Connect using LDAPv3 (ensures compatibility with OpenLDAP 2.1)
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
-       -patch) patch $patch_opts -p1 < $0;;
-       -unpatch) patch $patch_opts -p1 -R < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/ultrotter/docs/projects/deb/cpu/cpu-1.3.100/src/plugins/ldap/ld.c cpu-1.3.100/src/plugins/ldap/ld.c
---- /home/ultrotter/docs/projects/deb/cpu/cpu-1.3.100/src/plugins/ldap/ld.c	2003-04-30 01:17:42.000000000 +0200
-+++ cpu-1.3.100/src/plugins/ldap/ld.c	2003-09-02 08:57:13.000000000 +0200
-@@ -81,7 +81,13 @@
- 	  ldap_perror(ld, "ldap: ldapOperation: ldap_start_tls" );
- 	  return -1;
- 	}
-+    } else {
-+      /* Even If we are not using a TLS connection try to set protocol 
-+       * version to 3 but don't bother too much if we fail. 
-+       */
-+      ldap_set_option( ld, LDAP_OPT_PROTOCOL_VERSION, &version );
-     }
-+  
-   if ( ldap_bind_s(ld, globalLdap->bind_dn, globalLdap->bind_password,
- 	           LDAP_AUTH_SIMPLE) != LDAP_SUCCESS )
-     {
diff --git a/debian/patches/02_dontmesswithetc.dpatch b/debian/patches/02_dontmesswithetc.patch
similarity index 57%
rename from debian/patches/02_dontmesswithetc.dpatch
rename to debian/patches/02_dontmesswithetc.patch
index 2454bfc..9d540b5 100644
--- a/debian/patches/02_dontmesswithetc.dpatch
+++ b/debian/patches/02_dontmesswithetc.patch
@@ -1,33 +1,14 @@
-#!/bin/sh -e
-## 02_dontmesswithetc.dpatch by Guido Trotter <ultrotter@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Patch upstream build system to avoit it trying installing configuration
-## DP: files at build time.
+From: Guido Trotter <ultrotter@debian.org>
+Subject: Patch upstream build system to avoit it trying installing configuration
+files at build time.
 
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
+---
+ doc/Makefile.in |   33 +++++++++++++++++----------------
+ 1 file changed, 17 insertions(+), 16 deletions(-)
 
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
-       -patch) patch $patch_opts -p1 < $0;;
-       -unpatch) patch $patch_opts -p1 -R < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/ultrotter/tmp/t/cpu-1.4.1/doc/Makefile.in cpu-1.4.1/doc/Makefile.in
---- /home/ultrotter/tmp/t/cpu-1.4.1/doc/Makefile.in	2003-09-23 18:29:49.000000000 +0200
-+++ cpu-1.4.1/doc/Makefile.in	2003-10-06 18:33:12.000000000 +0200
-@@ -396,7 +396,7 @@
+--- a/doc/Makefile.in
++++ b/doc/Makefile.in
+@@ -397,7 +397,7 @@
  
  info-am:
  
@@ -36,7 +17,7 @@ diff -urNad /home/ultrotter/tmp/t/cpu-1.4.1/doc/Makefile.in cpu-1.4.1/doc/Makefi
  
  install-exec-am:
  
-@@ -422,7 +422,7 @@
+@@ -423,7 +423,7 @@
  
  ps-am:
  
@@ -45,7 +26,7 @@ diff -urNad /home/ultrotter/tmp/t/cpu-1.4.1/doc/Makefile.in cpu-1.4.1/doc/Makefi
  
  uninstall-info: uninstall-info-recursive
  
-@@ -445,20 +445,21 @@
+@@ -446,20 +446,21 @@
  	uninstall-info-recursive uninstall-local uninstall-recursive
  
  
@@ -57,6 +38,12 @@ diff -urNad /home/ultrotter/tmp/t/cpu-1.4.1/doc/Makefile.in cpu-1.4.1/doc/Makefi
 -		echo "$(INSTALL_DATA) cpu.conf $(sysconfdir)/cpu.conf"; \
 -		$(INSTALL_DATA) cpu.conf $(sysconfdir)/cpu.conf; \
 -	fi
+-
+-uninstall-local:
+-	@if test -f $(sysconfdir)/cpu.conf ; then \
+-		echo "rm -f $(sysconfdir)/cpu.conf"; \
+-		$(RM) -f $(sysconfdir)/cpu.conf; \
+-	fi
 +#install-data-local:
 +#	@if test -f $(sysconfdir)/cpu.conf ; then \
 +#		echo "$@ will not overwrite existing $(sysconfdir)/cpu.conf"; \
@@ -71,12 +58,7 @@ diff -urNad /home/ultrotter/tmp/t/cpu-1.4.1/doc/Makefile.in cpu-1.4.1/doc/Makefi
 +#		echo "rm -f $(sysconfdir)/cpu.conf"; \
 +#		$(RM) -f $(sysconfdir)/cpu.conf; \
 +#	fi
- 
--uninstall-local:
--	@if test -f $(sysconfdir)/cpu.conf ; then \
--		echo "rm -f $(sysconfdir)/cpu.conf"; \
--		$(RM) -f $(sysconfdir)/cpu.conf; \
--	fi
++
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
  # Otherwise a system limit (for SysV at least) may be exceeded.
  .NOEXPORT:
diff --git a/debian/patches/03_strlenzero.dpatch b/debian/patches/03_strlenzero.dpatch
deleted file mode 100644
index cc83ea1..0000000
--- a/debian/patches/03_strlenzero.dpatch
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/bin/sh -e
-## 03_strlenzero.dpatch by Guido Trotter <ultrotter@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
-
-case "$1" in
-       -patch) patch $patch_opts -p1 < $0;;
-       -unpatch) patch $patch_opts -p1 -R < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-diff -urNad /home/ultrotter/tmp/cpu/cpu-1.4.2/src/plugins/ldap/user.c cpu-1.4.2/src/plugins/ldap/user.c
---- /home/ultrotter/tmp/cpu/cpu-1.4.2/src/plugins/ldap/user.c	2003-10-12 23:59:13.000000000 +0200
-+++ cpu-1.4.2/src/plugins/ldap/user.c	2003-12-25 10:45:48.000000000 +0100
-@@ -340,7 +340,7 @@
- 	  }
- 	else if (globalLdap->unlock == true)
- 	  {
--	    for (i = 0; i < (int) strlen (npass); i++)
-+	    for (i = 0; i < (npass == NULL)? 0 : (int) strlen (npass); i++)
- 	      {
- 		tpass[i] = npass[i];
- 		if (npass[i] == '}' && npass[i + 1] == '!')
diff --git a/debian/patches/04_lvalue.dpatch b/debian/patches/04_lvalue.patch
similarity index 73%
rename from debian/patches/04_lvalue.dpatch
rename to debian/patches/04_lvalue.patch
index 7d86f6a..35d50b2 100644
--- a/debian/patches/04_lvalue.dpatch
+++ b/debian/patches/04_lvalue.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 03_lvalue.dpatch by Guido Trotter <ultrotter@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Suppress gcc4 error (invalid lvalue in assignment)
+From: Guido Trotter <ultrotter@debian.org>
+Subject: Suppress gcc4 error (invalid lvalue in assignment)
 
-@DPATCH@
 diff -urNad --exclude=CVS --exclude=.svn ./src/plugins/ldap/commandline.c /tmp/dpep-work.42rcRj/cpu-1.4.3/src/plugins/ldap/commandline.c
 --- ./src/plugins/ldap/commandline.c	2005-07-10 18:34:10.000000000 +0000
 +++ /tmp/dpep-work.42rcRj/cpu-1.4.3/src/plugins/ldap/commandline.c	2005-07-10 18:34:59.000000000 +0000
diff --git a/debian/patches/05_allowbadpass.dpatch b/debian/patches/05_allowbadpass.patch
similarity index 93%
rename from debian/patches/05_allowbadpass.dpatch
rename to debian/patches/05_allowbadpass.patch
index cba7117..0746454 100644
--- a/debian/patches/05_allowbadpass.dpatch
+++ b/debian/patches/05_allowbadpass.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 05_allowbadpass.dpatch by Guido Trotter <ultrotter@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Allow specyfing bad passwords
+From: Guido Trotter <ultrotter@debian.org>
+Subject: Allow specyfing bad passwords
 
-@DPATCH@
 diff -urNad --exclude=CVS --exclude=.svn ./src/include/main/cpu.h /tmp/dpep-work.ipaiOK/cpu-1.4.3/src/include/main/cpu.h
 --- ./src/include/main/cpu.h	2003-12-31 03:24:20.000000000 +0000
 +++ /tmp/dpep-work.ipaiOK/cpu-1.4.3/src/include/main/cpu.h	2005-07-15 10:52:51.000000000 +0000
diff --git a/debian/patches/06_manpage.dpatch b/debian/patches/06_manpage.patch
similarity index 75%
rename from debian/patches/06_manpage.dpatch
rename to debian/patches/06_manpage.patch
index 1ab41be..eeed70b 100644
--- a/debian/patches/06_manpage.dpatch
+++ b/debian/patches/06_manpage.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 06_manpage.dpatch by Guido Trotter <ultrotter@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+From: Guido Trotter <ultrotter@debian.org>
+Subject: No description.
 
-@DPATCH@
 diff -urNad --exclude=CVS --exclude=.svn ./doc/man/cpu-ldap.8 /tmp/dpep-work.OSK2eq/cpu-1.4.3/doc/man/cpu-ldap.8
 --- ./doc/man/cpu-ldap.8	2003-12-31 03:22:20.000000000 +0000
 +++ /tmp/dpep-work.OSK2eq/cpu-1.4.3/doc/man/cpu-ldap.8	2005-07-16 07:04:26.000000000 +0000
diff --git a/debian/patches/07_kfreebsd-build.dpatch b/debian/patches/07_kfreebsd-build.patch
similarity index 50%
rename from debian/patches/07_kfreebsd-build.dpatch
rename to debian/patches/07_kfreebsd-build.patch
index 5109111..600a3f0 100644
--- a/debian/patches/07_kfreebsd-build.dpatch
+++ b/debian/patches/07_kfreebsd-build.patch
@@ -1,16 +1,15 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 07_kfreebsd-build.dpatch by Petr Salinger <Petr.Salinger@seznam.cz>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+From: Petr Salinger <Petr.Salinger@seznam.cz>
+Subject: No description.
 
-@DPATCH@
-diff -urNad --exclude=CVS --exclude=.svn ./aclocal.m4~ ./aclocal.m4
---- ./aclocal.m4~ 2008-08-04 12:28:13.000000000 +0000
-+++ ./aclocal.m4  2008-08-04 12:28:13.000000000 +0000
+---
+ aclocal.m4 |    4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+--- a/aclocal.m4
++++ b/aclocal.m4
 @@ -2969,7 +2969,7 @@
    ;;
-
+ 
  # This must be Linux ELF.
 -linux-gnu*)
 +linux-gnu*|kfreebsd*)
@@ -19,11 +18,10 @@ diff -urNad --exclude=CVS --exclude=.svn ./aclocal.m4~ ./aclocal.m4
    need_version=no
 @@ -4208,7 +4208,7 @@
    ;;
-
+ 
  # This must be Linux ELF.
 -linux-gnu*)
 +linux-gnu*|kfreebsd*)
    case $host_cpu in
    alpha* | hppa* | i*86 | mips | mipsel | powerpc* | sparc* | ia64* | s390* | x86_64*)
      lt_cv_deplibs_check_method=pass_all ;;
-
diff --git a/debian/patches/10_cpu.conf.patch b/debian/patches/10_cpu.conf.patch
new file mode 100644
index 0000000..3e00903
--- /dev/null
+++ b/debian/patches/10_cpu.conf.patch
@@ -0,0 +1,14 @@
+ doc/cpu.conf |    2 ++
+ 1 file changed, 2 insertions(+)
+
+--- a/doc/cpu.conf
++++ b/doc/cpu.conf
+@@ -37,6 +37,8 @@
+ #DEL_SCRIPT = "foo"
+ SHADOWLASTCHANGE	= 11192
+ SHADOWMAX		= 99999
++#ADD_SCRIPT = "contrib/postaddscript.sh"
++#DEL_SCRIPT = "foo"
+ SHADOWWARING		= 7
+ SHADOWEXPIRE		= -1
+ SHADOWFLAG		= 134538308
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..c9a7ce1
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,6 @@
+02_dontmesswithetc.patch
+04_lvalue.patch
+05_allowbadpass.patch
+06_manpage.patch
+07_kfreebsd-build.patch
+10_cpu.conf.patch
diff --git a/debian/patches/unused/01_ldapv3please.patch b/debian/patches/unused/01_ldapv3please.patch
new file mode 100644
index 0000000..73273de
--- /dev/null
+++ b/debian/patches/unused/01_ldapv3please.patch
@@ -0,0 +1,23 @@
+From: Guido Trotter <ultrotter@debian.org>
+Subject: Connect using LDAPv3 (ensures compatibility with OpenLDAP 2.1)
+
+---
+ src/plugins/ldap/ld.c |    6 ++++++
+ 1 file changed, 6 insertions(+)
+
+--- a/src/plugins/ldap/ld.c
++++ b/src/plugins/ldap/ld.c
+@@ -79,7 +79,13 @@
+   if ((int) globalLdap->usetls)
+     {
+       globalLdap->version = 3;
++    } else {
++      /* Even If we are not using a TLS connection try to set protocol 
++       * version to 3 but don't bother too much if we fail. 
++       */
++      ldap_set_option( ld, LDAP_OPT_PROTOCOL_VERSION, &version );
+     }
++  
+ 
+   if (ldap_set_option (ld, LDAP_OPT_PROTOCOL_VERSION, &globalLdap->version)
+       != LDAP_OPT_SUCCESS)
diff --git a/debian/patches/unused/03_strlenzero.patch b/debian/patches/unused/03_strlenzero.patch
new file mode 100644
index 0000000..937c619
--- /dev/null
+++ b/debian/patches/unused/03_strlenzero.patch
@@ -0,0 +1,18 @@
+From: Guido Trotter <ultrotter@debian.org>
+Subject: No description.
+
+---
+ src/plugins/ldap/user.c |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+--- a/src/plugins/ldap/user.c
++++ b/src/plugins/ldap/user.c
+@@ -345,7 +345,7 @@
+ 	  }
+ 	else if (globalLdap->unlock == true)
+ 	  {
+-	    for (i = 0; i < (int) strlen (npass); i++)
++	    for (i = 0; i < (npass == NULL)? 0 : (int) strlen (npass); i++)
+ 	      {
+ 		tpass[i] = npass[i];
+ 		if (npass[i] == '}' && npass[i + 1] == '!')
diff --git a/debian/rules b/debian/rules
index 9b7242a..ba57dfd 100755
--- a/debian/rules
+++ b/debian/rules
@@ -11,7 +11,6 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-include /usr/share/dpatch/dpatch.make
 
 CFLAGS = -Wall -g -DLDAP_DEPRECATED
 
@@ -27,12 +26,8 @@ endif
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
-endif
 
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
@@ -44,7 +39,11 @@ endif
 		    --with-libcrack --with-ldap 
 
 
-build: patch-stamp build-stamp
+
+build-arch: build
+build-indep: build
+
+build: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
@@ -54,18 +53,13 @@ build-stamp:  config.status
 
 	touch build-stamp
 
-clean: really-clean unpatch
-
-really-clean:
+clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
-	rm -f config.log config.guess config.sub
-
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
-
-	dh_clean 
+	rm -f build-stamp config.log config.guess config.sub
+	dh_clean
 
 install: build
 	dh_testdir
@@ -75,7 +69,8 @@ install: build
 
 	# Add here commands to install the package into debian/cpu.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/cpu
-
+	# Policy: do not install .la files
+	rm -f $(CURDIR)/debian/cpu/usr/lib/cpu/*.la
 
 # Build architecture-independent files here.
 binary-indep: build install
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/doc/cpu.conf b/doc/cpu.conf
index 926e7f3..4428992 100644
--- a/doc/cpu.conf
+++ b/doc/cpu.conf
@@ -33,6 +33,8 @@ RANDOM = "false"
 PASSWORD_FILE = "/etc/passfile"
 SHADOW_FILE = "/etc/shadowfile"
 HASH = "md5"
+#ADD_SCRIPT = "contrib/postaddscript.sh"
+#DEL_SCRIPT = "foo"
 SHADOWLASTCHANGE	= 11192
 SHADOWMAX		= 99999
 SHADOWWARING		= 7
-- 
1.7.9.5

